> For the complete documentation index, see [llms.txt](https://docs.chatlayer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatlayer.ai/chatlayer-documentation-pt-br/channels/sinch-conversation-api-beta.md).

# Sinch Conversation API

Você não precisa pensar em qual tipo de mensagem funciona em qual canal – o **Sinch Conversation API** transcodifica as mensagens automaticamente para corresponder ao canal de destino. Fácil, fácil!

## Canais suportados

Você encontrará uma lista completa dos canais suportados pela Sinch Conversation API em [aqui](https://developers.sinch.com/docs/conversation/channel-support/).

<details>

<summary>Como lidar com variáveis entre canais</summary>

Se vários canais estiverem conectados ao seu app da Conversation API, pode ser útil poder enviar um fluxo específico dependendo do canal em que o usuário do bot está. Para fazer isso, você pode usar o `internal.sinchConversationAPI.channelIdentifier` [variável](/chatlayer-documentation-pt-br/navegacao/settings/secure-variables-gdpr.md).

Os valores possíveis para o canal são:

```
internal.sinchConversationAPI.channelIdentifier: 
"CHANNEL_UNSPECIFIED"
"WHATSAPP"
"RCS"
"SMS"
"MESSENGER"
"VIBER"
"VIBERBM"
"MMS"
"TELEGRAM"
"LINE"
"INSTAGRAM"
```

Além disso, há algumas outras variáveis que armazenam dados vindos da Sinch Conversation API que podem ser úteis para orientar seu fluxo:

```
internal.sinchConversationAPI.channelIdentity: 'USER_PHONE_NUMBER_OR_ID',
internal.sinchConversationAPI.contactId: 'CONTACT_ID_CONV_API',
internal.sinchConversationAPI.appId: 'APP_ID_CONV_API',
internal.sinchConversationAPI.conversationId: 'CONVERSATION_ID_CONV_API',
internal.sinchConversationAPI.metadata: string or key + value pair
```

Você pode aprender mais sobre como usar variáveis para orientar seu fluxo [aqui](/chatlayer-documentation-pt-br/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md).

</details>

{% hint style="warning" %}
Lembre-se de que canais diferentes aceitam diferentes [tipos de mensagem](https://developers.sinch.com/docs/conversation/message-types/).
{% endhint %}

## Artigos relacionados

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-cover data-type="files"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><a href="/pages/b5c1517d644d347e77c8f1814d7ba804a7c99ff3"><strong>Configure sua Sinch Conversation API</strong></a></td><td></td><td></td><td><a href="/files/df85c4ad8d0a574f7e6d0740952242adb9082dfd">/files/df85c4ad8d0a574f7e6d0740952242adb9082dfd</a></td><td><a href="/pages/b5c1517d644d347e77c8f1814d7ba804a7c99ff3">/pages/b5c1517d644d347e77c8f1814d7ba804a7c99ff3</a></td></tr><tr><td><a href="/pages/728216f952f0f4141cf60a5d9cd0a694b0de64f7"><strong>Aproveite ao máximo o RCS com carrosséis</strong></a></td><td></td><td></td><td><a href="/files/ac065c1ddab45851b53d2b46e015dfae83cffa14">/files/ac065c1ddab45851b53d2b46e015dfae83cffa14</a></td><td></td></tr><tr><td><a href="/pages/b1623efc042711aa316d5d3b237a4e25e41933ef"><strong>API do WhatsApp Business</strong></a></td><td></td><td></td><td><a href="/files/4125eb2feb65126afc3a3d4ce7f6ce2d47a2b8db">/files/4125eb2feb65126afc3a3d4ce7f6ce2d47a2b8db</a></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chatlayer.ai/chatlayer-documentation-pt-br/channels/sinch-conversation-api-beta.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
